@import 'font.scss';

body {
    font-family: 'Kanit-Light', tahoma;
    font-size: 14px;
    padding:0;
    margin:0;
    color:#fff;
    background-color: #000;
    @media(max-width: 640px) {
        font-size: 12px;
    }
}
* {
    //user-select: none;
}
h1, h2, h3, h4, h5, h6 {
    margin: 0;
}
ul, li {
    margin: 0px;
    padding: 0px;
    //list-style-type: none;
}
.page {
    position: fixed;
    top: 0px;
    left: 0px;
    width: 100%;
    height: 100%;
    z-index: 1000;
    &__loading {
        display: block;
        width: 100%;
        height: 100%;
        text-align: center;
        color: #FFFFFF;
        vertical-align: middle;
        font-size: 30px;
        background-color: rgba(0,0,0,0.6);
        &:before {
            content: "";
            display: inline-block;
            height: 100%;
            width: 0px;
            vertical-align: middle;
        }
    }
    &.close {
        display: none;
    }
}
img{
    max-width: 100%;
    max-height: 100%;
}

.preorder{
    background:url("../static/images/bg.jpg")top center no-repeat #120a07;
    padding: 75% 0 2%;
    width: 1105px;
    // @media(max-width: 1060px) {
    //     padding: 89% 0 2%;
    // }
    // @media(max-width: 640px) {
    //     background:url("../static/images/bg_mb.jpg")top center no-repeat;
    //     background-size: 100%;
    //     padding: 150% 0 0;
    // }
    &__btngroup{
        position: absolute;
        top: 2vw;
        right: 2%;
        width: 100%;
        text-align: right;
        // >a,>div{
        //     width: 5%;
        //     display: inline-block;
        //     margin: 0 .5%;
        //     min-width: 80px;
        //     cursor: pointer;
        //     @media(max-width: 640px) {
        //         min-width: 75px;
        //     }
        // }
        // >div{
        //     cursor: pointer;
        // }
        img{
            display: block;
        }
    }
    &__scroll {
        text-align: center;
        position: absolute;
        top: -8%;
        left: 0;
        right: 0;
        >img{
            animation: mover 1s infinite alternate;
            @media (max-width: 640px) {
                max-width: 10%;
            }
        }
        // @media(max-width: 1060px) {
        //     top: 78vw;
        // }
        // @media(max-width: 640px) {
        //     top: 129vw;
        // }
    }
  
}


.h-login-text{
    position: relative;
    top: 650px;
    text-align: center;
}

.userinfo{
    position: absolute;
    left: 0;
    bottom: 54%;
    font-size: 1.2em;
    color: #65431d;
    width: 100%;
    text-align: center;
    @media(max-width: 768px) {
        bottom: 45%;
    }
    @media(max-width: 640px) {
        font-size: 4vw;
        margin-bottom: 50px;
        bottom: 50%;
    }
}




.text-center{
    text-align: center;
}

.username, .logout{
    pointer-events: auto;
    display: inline-block;
    padding: 0px 25px;
    margin-left: 17px;
    /* width: fit-content; */
    /* max-width: 170px; */
    text-align: center;
    height: 45px;
    line-height: 45px;
    background-color: rgba(0,0,0,0.7);
    border-radius: 15px;
    color: #FFFFFF;
    font-size: 14px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    /* transition: width 0.3s ease-in-out; */
    @media (max-width: 640px) {
        height: 30px;
        line-height: 30px;
        padding: 0px 20px;
        font-size: 11px;
    }
}
